# == Class: mediagoblin::scripts::create_user
#
# Creates the mediagoblin user.
#
# === Parameters
#
# Document parameters here.
#
# [*ensure*]
#   Valid values are +present+ and +absent+.
#
# === Examples
#
#  class { mediagoblin::packages::core:
#    ensure => present,
#  }
#
#  This class is not really meant to be used on its own.
#
# === Authors
#
# Philip Horger <campadrenalin@gmail.com>
#
# === Copyright
#
# Copyright 2013 Your name here, unless otherwise noted.
#

class mediagoblin::scripts::create_user {
    $script_name = "create_user.sh"
    $script_dir  = "/opt/mediagoblin-scripts"
    $script_path = "$script_dir/$script_name"
    $script_source = "puppet:///modules/mediagoblin/$script_name"

    file {$script_dir:
        ensure => directory,
    }
    file {$script_name:
        name => $script_path,
        ensure => file,
        mode => '0755',
        source => $script_source,
        require => File[$script_dir],
    }

    exec {$script_name:
        path => [$script_dir, "/usr/bin", "/bin", "/usr/sbin"],
        onlyif => "test `getent passwd | grep mediagoblin | wc -l` -lt 1",
        require => File[$script_name],
    }
}
